# PropertyValueDataErrorEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [PropertyValueDataError](/api/wisej.web/lists-and-grids/propertygrid.md#propertyvaluedataerror) event of a [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class PropertyValueDataErrorEventArgs : CancelEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class PropertyValueDataErrorEventArgs
    Inherits CancelEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) PropertyValueDataErrorEventArgs(changingItem, exception)

Initializes a new instance of the [PropertyValueDataErrorEventArgs](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluedataerroreventargs.md) class.

| Name             | Type                                                                          | Description                                                   |
| ---------------- | ----------------------------------------------------------------------------- | ------------------------------------------------------------- |
| **changingItem** | [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) | The item in the grid that caused the data error.              |
| **exception**    | [Exception](https://docs.microsoft.com/dotnet/api/system.exception)           | The exception that occurred while writing the property value. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ChangingItem

[GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md): Returns the [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) that is being changed.

### ![](/files/hsR4ok3152WyAf8J2C1u) Exception

[Exception](https://docs.microsoft.com/dotnet/api/system.exception): Returns the exception that represents the error.

## Used By

| Name                                                                                                                              | Description                                                                                                        |
| --------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ |
| [PropertyValueDataErrorEventHandler](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluedataerroreventhandler.md) | The event handler class that is invoked when a property in the grid cannot receive the value modified by the user. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluedataerroreventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
